net/linc - The NetBSD Packages Collection

Network client/server library

Linc is a library that eases the task of writing networked servers &
clients.  It takes care of connection initiation and maintainance,
and the details of various transports.  It is used by the new ORBit
to handle message transmission/receipt.

Currently supported transports:
        IPv4 (tested)
        UNIX domain sockets (tested)
        IPv6
        IrDA

The connections can optionally be encrypted using OpenSSL.

Build dependencies

pkgtools/cwrappers devel/glib2-tools devel/libtool-base devel/pkgconf

Runtime dependencies

devel/glib2 devel/glib2

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflinc-1.1.1nb16.tgz
NetBSD 8.0earmv7hflinc-1.1.1nb16.tgz
NetBSD 8.0earmv7hflinc-1.1.1nb16.tgz
NetBSD 8.0i386linc-1.1.1nb16.tgz
NetBSD 8.0i386linc-1.1.1nb16.tgz
NetBSD 8.0i386linc-1.1.1nb16.tgz
NetBSD 8.0powerpclinc-1.1.1nb16.tgz
NetBSD 8.0powerpclinc-1.1.1nb16.tgz
NetBSD 8.0powerpclinc-1.1.1nb16.tgz
NetBSD 8.0powerpclinc-1.1.1nb16.tgz
NetBSD 8.0x86_64linc-1.1.1nb16.tgz
NetBSD 8.0x86_64linc-1.1.1nb16.tgz
NetBSD 8.0x86_64linc-1.1.1nb16.tgz
NetBSD 9.0aarch64linc-1.1.1nb16.tgz
NetBSD 9.0aarch64linc-1.1.1nb16.tgz
NetBSD 9.0aarch64linc-1.1.1nb16.tgz
NetBSD 9.0alphalinc-1.1.1nb16.tgz
NetBSD 9.0alphalinc-1.1.1nb16.tgz
NetBSD 9.0alphalinc-1.1.1nb16.tgz
NetBSD 9.0earmv6hflinc-1.1.1nb16.tgz
NetBSD 9.0earmv6hflinc-1.1.1nb16.tgz
NetBSD 9.0earmv6hflinc-1.1.1nb16.tgz
NetBSD 9.0earmv6hflinc-1.1.1nb16.tgz
NetBSD 9.0earmv7hflinc-1.1.1nb16.tgz
NetBSD 9.0earmv7hflinc-1.1.1nb16.tgz
NetBSD 9.0earmv7hflinc-1.1.1nb16.tgz
NetBSD 9.0earmv7hflinc-1.1.1nb16.tgz
NetBSD 9.0earmv7hflinc-1.1.1nb16.tgz
NetBSD 9.0i386linc-1.1.1nb16.tgz
NetBSD 9.0i386linc-1.1.1nb16.tgz
NetBSD 9.0i386linc-1.1.1nb16.tgz
NetBSD 9.0mips64eblinc-1.1.1nb16.tgz
NetBSD 9.0mips64eblinc-1.1.1nb16.tgz
NetBSD 9.0mips64eblinc-1.1.1nb16.tgz
NetBSD 9.0powerpclinc-1.1.1nb16.tgz
NetBSD 9.0powerpclinc-1.1.1nb16.tgz
NetBSD 9.0powerpclinc-1.1.1nb16.tgz
NetBSD 9.0powerpclinc-1.1.1nb16.tgz
NetBSD 9.0sparc64linc-1.1.1nb16.tgz
NetBSD 9.0sparc64linc-1.1.1nb16.tgz
NetBSD 9.0sparc64linc-1.1.1nb16.tgz
NetBSD 9.0sparc64linc-1.1.1nb16.tgz
NetBSD 9.0sparclinc-1.1.1nb16.tgz
NetBSD 9.0sparclinc-1.1.1nb16.tgz
NetBSD 9.0x86_64linc-1.1.1nb16.tgz
NetBSD 9.0x86_64linc-1.1.1nb16.tgz
NetBSD 9.0x86_64linc-1.1.1nb16.tgz
NetBSD 9.0x86_64linc-1.1.1nb16.tgz
NetBSD 9.0x86_64linc-1.1.1nb16.tgz
NetBSD 9.0x86_64linc-1.1.1nb16.tgz
NetBSD 9.0x86_64linc-1.1.1nb16.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.